slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSType

String with the name of the type of direct solver. Roughly, there are as many types as problem types are available within SLEPc.

### Synopsis

    typedef const char* DSType;
    #define DSHEP    "hep"
    #define DSNHEP   "nhep"
    #define DSGHEP   "ghep"
    #define DSGHIEP  "ghiep"
    #define DSGNHEP  "gnhep"
    #define DSNHEPTS "nhepts"
    #define DSSVD    "svd"
    #define DSHSVD   "hsvd"
    #define DSGSVD   "gsvd"
    #define DSPEP    "pep"
    #define DSNEP    "nep"

### See Also

DSSetType(), DS

### Level

advanced

### Location

include/slepcds.h
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages